#include "spremanje.h"
#include "mbed.h"

LocalFileSystem local("local");                 // kreuranje local file system za r/w filea
int rekord;                                     // varijabla za upis()
Serial pc(USBTX,USBRX);                         // serijska komunikacija za debug


////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////Funkcija za upis rekorda//////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////

void upis(int rekord) {                                         



    FILE *logFile = NULL;                       // pointer za file
    
    
 

  logFile = fopen("/local/log.txt", "w");       // otvori log.txt file za pisanje
                                     
  if (logFile == NULL) {                        // ako nije moguće otvoriti
    pc.printf("Ne mogu otvoriti file.\n");      // javi err na teraterm
    while (1) {
      wait(100);
    }
  }else (pc.printf("OTVOREN FILE."));           // inače javi da je ok
 
 
 
  
  fprintf(logFile, "%d\r\n", rekord);           // upiši var rekord u file log.txt
 
  fclose(logFile);                              // zatvori file
}


////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////Funkcija za čitanje rekorda//////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////
    
int citaj(void) {
    
    
    FILE *set = fopen("/local/log.txt", "r");      // otvori log.txt za čitanje
    
    fscanf(set,"%i", &rekord);                     // pročitaj i spremi u rekord var
   
    fclose(set);                                   // zatvori file 
    pc.printf("Iz varijable je procitano: %i", rekord);     // javi podatak u teraterm
    return(rekord);                                         // vrati info glavnoj funkciji
    
}
    
    